# xarray.backends.ScipyDataStore

class `xarray.backends.``ScipyDataStore`(filename_or_obj, mode='r', format=None, group=None, mmap=None, lock=None)

  Store for reading and writing data via scipy.io.netcdf.

  This store has the advantage of being able to be initialized with a StringIO object, allow for serialization without writing to disk.

  It only supports the NetCDF3 file-format.

  `__init__`(filename_or_obj, mode='r', format=None, group=None, mmap=None, lock=None)

    Initialize self. See help(type(self)) for accurate signature.

  Methods

  `__init__`(filename_or_obj[, mode, format, …]) | Initialize self.
  `close`() |
  `encode`(variables, attributes) | Encode the variables and attributes in this store
  `encode_attribute`(a) | encode one attribute
  `encode_variable`(variable) | encode one variable
  `get`(k[,d]) |
  `get_attrs`() |
  `get_dimensions`() |
  `get_encoding`() |
  `get_variables`() |
  `items`() |
  `keys`() |
  `load`() | This loads the variables and attributes simultaneously.
  `open_store_variable`(name, var) |
  `prepare_variable`(name, variable[, …]) |
  `set_attribute`(key, value) |
  `set_attributes`(attributes) | This provides a centralized method to set the dataset attributes on the data store.
  `set_dimension`(name, length[, is_unlimited]) |
  `set_dimensions`(variables[, unlimited_dims]) | This provides a centralized method to set the dimensions on the data store.
  `set_variable`(k, v) |
  `set_variables`(variables, check_encoding_set, …) | This provides a centralized method to set the variables on the data store.
  `store`(variables, attributes[, …]) | Top level method for putting data on this store, this method:
  `store_dataset`(dataset) | in stores, variables are all variables AND coordinates in xarray.Dataset variables are variables NOT coordinates, so here we pass the whole dataset in instead of doing dataset.variables
  `sync`() |
  `values`() |

  Attributes

  `attrs` |
  `dimensions` |
  `ds` |
  `variables` |